package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "PAPriwayatImunisasiDasar_T")
public class PapRiwayatImunisasiDasar extends BaseTransaction {
	/**
	 * @author andri
	 */
	private static final long serialVersionUID = 1L;

	@ManyToOne
	@JoinColumn(name = "ObjectPAPpengkajianFk")
	@NotNull(message = "PAPpengkajian tidak boleh kosong")

	@Caption(value = "Object PAPpengkajian")
	private PapPengkajian paPpengkajian;

	@Column(name = "ObjectPAPpengkajianFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String paPpengkajianId;

	@NotNull(message = "hasilImunisasi tidak boleh kosong")
	@Column(name = "hasilImunisasi", nullable = false)
	@Caption(value = "hasilImunisasi")
	private String hasilImunisasi;

	public PapPengkajian getPaPpengkajian() {
		return paPpengkajian;
	}

	public void setPaPpengkajian(PapPengkajian paPpengkajian) {
		this.paPpengkajian = paPpengkajian;
	}

	public String getPaPpengkajianId() {
		return paPpengkajianId;
	}

	public void setPaPpengkajianId(String paPpengkajianId) {
		this.paPpengkajianId = paPpengkajianId;
	}

	public String getHasilImunisasi() {
		return hasilImunisasi;
	}

	public void setHasilImunisasi(String hasilImunisasi) {
		this.hasilImunisasi = hasilImunisasi;
	}
	
	
}
